%define upstream_name    Dist-Zilla-Plugin-CoderwallEndorse
%define upstream_version 0.2.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Adds a Coderwall 'endorse' button to README Markdown file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::File::ChangeNotification)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(JSON::Any)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
If a 'README.mkdn' file is presents, a Coderwall 'endorse' button will be
added beside author names if a author-name-to-coderwall-user mapping has
been given.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.2.0-9.mga10
+ Revision: 2198443
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.2.0-8.mga9
+ Revision: 1803206
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.0-7.mga8
+ Revision: 1494238
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.0-6.mga7
+ Revision: 1267512
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-5.mga6
+ Revision: 1026182
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.2.0-4.mga6
+ Revision: 948342
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-3.mga5
+ Revision: 746482
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.2.0-1.mga5
+ Revision: 586525
- update to 0.2.0

* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-3.mga4
+ Revision: 510949
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.2-2.mga3
+ Revision: 366112
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.1.2-1.mga3
+ Revision: 317719
- adding missing buildrequires:
- imported package perl-Dist-Zilla-Plugin-CoderwallEndorse


* Wed Nov 14 2012 cpan2dist 0.1.2-1mga
- initial mageia release, generated with cpan2dist
